
function createModal(type){
    $('#mask').css('display','block');
    $('#'+type+'Modal').css('display','block');
}

function closeModal(type){
    $('#mask').css('display','none');
    $('#'+type+'Modal').css('display','none');
}


function createYarn() {

    var exp_number = /^[0-9]*$/;


    /* 유효성검사 */
    if(!yarnForm.yarnName.value){
        alert('원사명을 입력해주세요');
        yarnForm.yarnName.focus();
        return;
    }
    if(!yarnForm.yarnCode.value){
        alert('원사코드를 입력해주세요');
        yarnForm.yarnCode.focus();
        return;
    }
    if(!yarnForm.yarnMaker.value){
        alert('원사메이커를 입력해주세요');
        yarnForm.yarnMaker.focus();
        return;
    }

    // 사실 오더일자를 구분하는게 필요없어보임. disabled 로 막음.
    if(!yarnForm.yarnCount.value){
        alert('원사굵기를 입력해주세요');
        yarnForm.yarnCount.focus();
        return;
    }
    if(!yarnForm.yarnFilament.value){
        alert('필라멘트를 입력해주세요');
        yarnForm.yarnFilament.focus();
        return;
    }
    if(!yarnForm.yarnContraction.value){
        alert('수축률을 입력해주세요');
        yarnForm.yarnContraction.focus();
        return;
    }
    if(!yarnForm.yarnMaterial.value){
        alert('재료를 입력해주세요');
        yarnForm.yarnMaterial.focus();
        return;
    }
    if(!yarnForm.yarnKind.value){
        alert('원사종류를 입력해주세요');
        yarnForm.yarnKind.focus();
        return;
    }
    if(!yarnForm.yarnColor.value){
        alert('원사색을 입력해주세요');
        yarnForm.yarnColor.focus();
        return;
    }
    if(!yarnForm.yarnQty.value){
        alert('입고수량을 입력해주세요');
        yarnForm.yarnQty.focus();
        return;
    }

    if(!exp_number.test(yarnForm.yarnCount.value)){
        alert('원사굵기는 숫자만 입력가능합니다.');
        yarnForm.yarnCount.focus();
        return;
    }
    if(!exp_number.test(yarnForm.yarnFilament.value)){
        alert('필라멘트는 숫자만 입력가능합니다.');
        yarnForm.yarnFilament.focus();
        return;
    }
    if(!exp_number.test(yarnForm.yarnContraction.value)){
        alert('수축률은 숫자만 입력가능합니다.');
        yarnForm.yarnContraction.focus();
        return;
    }
    if(!exp_number.test(yarnForm.yarnQty.value)){
        alert('입고량은 숫자만 입력가능합니다.');
        yarnForm.yarnQty.focus();
        return;
    }

    yarnForm.submit();

}

function createBeam() {

    var exp_number = /^[0-9]*$/;


    /* 유효성검사 */
    if(!beamForm.beamName.value){
        alert('빔 이름을 입력해주세요');
        beamForm.beamName.focus();
        return;
    }
    if(!beamForm.beamSize.value){
        alert('빔 사이즈를 입력해주세요');
        beamForm.beamSize.focus();
        return;
    }

    if(!exp_number.test(beamForm.beamSize.value)){
        alert('빔 사이즈는 숫자만 입력가능합니다.');
        beamForm.beamSize.focus();
        return;
    }

    beamForm.submit();

}